org.eclipse.ease.debugging.model

## Class EaseDebugValue

- java.lang.Object
- - org.eclipse.ease.debugging.model.EaseDebugValue

All Implemented Interfaces:
  IAdaptable, IDebugElement, IValue

    public class EaseDebugValue
    extends java.lang.Object
    implements IValue

### Constructor Summary

Constructors
Constructor and Description
`EaseDebugValue(IDebugElement parent, java.lang.Object value)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`<T> T` `getAdapter(java.lang.Class<T> adapter)`
`EaseDebugTarget` `getDebugTarget()`
`ILaunch` `getLaunch()`
`java.lang.String` `getModelIdentifier()`
`java.lang.String` `getReferenceTypeName()`
`java.lang.Object` `getValue()`
`java.lang.String` `getValueString()`
`EaseDebugVariable[]` `getVariables()`
`boolean` `hasVariables()`
`boolean` `isAllocated()`
`static boolean` `isPrimitiveType(java.lang.Object value)`
`void` `setParent(IDebugElement parent)`
`void` `setValueString(java.lang.String valueString)`
`void` `setVariables(java.util.Collection<EaseDebugVariable> variables)`
`void` `update(java.lang.Object value)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EaseDebugValue

    public EaseDebugValue(IDebugElement parent,
                          java.lang.Object value)

### Method Detail

#### isPrimitiveType

    public static boolean isPrimitiveType(java.lang.Object value)

#### setParent

    public void setParent(IDebugElement parent)

#### getReferenceTypeName

    public java.lang.String getReferenceTypeName()

Specified by:
  `getReferenceTypeName` in interface `IValue`

#### getValueString

    public java.lang.String getValueString()

Specified by:
  `getValueString` in interface `IValue`

#### isAllocated

    public boolean isAllocated()

Specified by:
  `isAllocated` in interface `IValue`

#### getAdapter

    public <T> T getAdapter(java.lang.Class<T> adapter)

Specified by:
  `getAdapter` in interface `IAdaptable`

#### getDebugTarget

    public EaseDebugTarget getDebugTarget()

Specified by:
  `getDebugTarget` in interface `IDebugElement`

#### getModelIdentifier

    public java.lang.String getModelIdentifier()

Specified by:
  `getModelIdentifier` in interface `IDebugElement`

#### getLaunch

    public ILaunch getLaunch()

Specified by:
  `getLaunch` in interface `IDebugElement`

#### getValue

    public java.lang.Object getValue()

#### getVariables

    public EaseDebugVariable[] getVariables()

Specified by:
  `getVariables` in interface `IValue`

#### hasVariables

    public boolean hasVariables()

Specified by:
  `hasVariables` in interface `IValue`

#### setVariables

    public void setVariables(java.util.Collection<EaseDebugVariable> variables)

#### update

    public void update(java.lang.Object value)

#### setValueString

    public void setValueString(java.lang.String valueString)